Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
xorg-server blocking ati-drivers
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
jeezus84
Apprentice
Apprentice


Joined: 02 Jan 2005
Posts: 161
Location: Canadia

PostPosted: Thu Jun 15, 2006 3:52 pm    Post subject: xorg-server blocking ati-drivers Reply with quote

I am trying to install Xorg7 but this block keeps getting in the way.

Why does portage keep complaining about xorg-server-1.0.99 when it says it's going to install xorg-server-1.1.0 ?

Please help.

Code:

turbonium ian # ACCEPT_KEYWORDS="~amd64" emerge -DuNvp xorg-x11

These are the packages that would be merged, in order:

Calculating dependencies... done!
[blocks B     ] >=x11-base/xorg-server-1.0.99 (is blocking x11-drivers/ati-drivers-8.25.18)
[ebuild  N    ] virtual/libiconv-0  0 kB
[ebuild     U ] sys-devel/gettext-0.14.5 [0.14.4] USE="nls -doc -emacs -nocxx%" 6,939 kB
[ebuild     U ] sys-libs/gpm-1.20.1-r5 [1.20.1-r4] USE="-emacs" 559 kB
[ebuild     U ] sys-apps/texinfo-4.8-r3 [4.8-r2] USE="nls -build -static" 1,486 kB
[ebuild     U ] sys-apps/groff-1.19.2-r1 [1.19.1-r2] USE="X" 2,835 kB
[ebuild     U ] sys-apps/man-1.6c [1.6-r1] USE="nls" 239 kB
[ebuild  NS   ] sys-libs/db-4.3.29  USE="-bootstrap -doc -java -nocxx -tcltk" 5,960 kB
[ebuild     U ] app-shells/bash-3.1_p17 [3.1_p16] USE="nls -bashlogger -build" 3 kB
[ebuild     U ] app-admin/perl-cleaner-1.04.1 [1.04] 5 kB
[ebuild     U ] perl-core/PodParser-1.34 [1.32] USE="-minimal" 93 kB
[ebuild     U ] sys-apps/help2man-1.35.1 [1.33.1] USE="nls" 74 kB
[ebuild     U ] sys-devel/autoconf-wrapper-3.2 [3-r1] 0 kB
[ebuild     U ] sys-devel/automake-1.9.6-r2 [1.9.6-r1] 747 kB
[ebuild     U ] dev-libs/expat-2.0.0 [1.95.8] 440 kB
[ebuild     U ] media-libs/freetype-2.1.10 [2.1.9-r1] USE="zlib -bindist -doc" 1,012 kB
[ebuild     U ] media-libs/fontconfig-2.3.2-r1 [2.2.3] USE="-doc%" 941 kB
[ebuild     U ] dev-libs/openssl-0.9.7j [0.9.7i] USE="zlib -bindist -emacs -test" 3,213 kB
[ebuild     U ] dev-lang/python-2.4.3-r1 [2.4.2] USE="X berkdb ipv6 ncurses readline ssl -bootstrap -build -doc -gdbm -nocxx -tcltk -ucs2" 7,827 kB
[ebuild     U ] sys-apps/sandbox-1.2.18.1 [1.2.17] 231 kB
[ebuild     U ] sys-apps/sed-4.1.5 [4.1.4-r1] USE="nls -bootstrap -build -static" 780 kB
[ebuild     U ] sys-apps/debianutils-2.15-r1 [2.15] USE="-build -static" 0 kB
[ebuild     U ] sys-apps/file-4.17-r1 [4.13] USE="python -build" 543 kB
[ebuild     U ] sys-kernel/linux-headers-2.6.16 [2.6.11-r2] 35 kB
[ebuild     U ] sys-apps/util-linux-2.12r-r4 [2.12r-r3] USE="crypt nls perl -old-crypt -static" 165 kB
[ebuild     U ] app-arch/rpm2targz-9.0-r5 [9.0-r3] 0 kB
[ebuild     U ] sys-libs/libutempter-1.1.4.1 [1.1.2.1] 21 kB
[ebuild     U ] x11-terms/xterm-213-r1 [212-r3] USE="-Xaw3d -doc -toolbar -truetype -unicode" 747 kB
[ebuild     U ] sys-apps/coreutils-5.96 [5.94-r1] USE="nls -acl -static" 5,008 kB
[ebuild     U ] app-admin/eselect-1.0.2 [1.0] USE="-bash-completion -doc" 143 kB
[ebuild  N    ] x11-base/xorg-server-1.1.0  USE="dri ipv6 nptl sdl xorg -debug -dmx -kdrive -minimal -xprint" INPUT_DEVICES="keyboard mouse -acecad -aiptek -calcomp -citron -digitaledge -dmc -dynapro -elo2300 -elographics -evdev -fpit -hyperpen -jamstudio -joystick -magellan -magictouch -microtouch -mutouch -palmax -penmount -spaceorb -summa -synaptics -tek4957 -ur98 -vmmouse -void -wacom" VIDEO_CARDS="fglrx radeon vesa -apm -ark -chips -cirrus -cyrix -dummy -epson -fbdev -glint -i128 -i810 -mach64 -mga -neomagic -nv -nvidia -r128 -rendition -s3 -s3virge -savage -siliconmotion -sis -sisusb -tdfx -tga -trident -tseng -v4l -vga -via -vmware -voodoo" 0 kB
[ebuild     U ] sys-apps/sysvinit-2.86-r5 [2.86-r3] USE="-bootstrap -build -ibm -static" 100 kB
[ebuild     U ] sys-apps/baselayout-1.12.1 [1.11.14-r8] USE="-bootstrap -build -static -unicode" 210 kB
[ebuild     U ] sys-devel/make-3.81 [3.80-r4] USE="nls -static" 1,124 kB
[ebuild     U ] sys-apps/module-init-tools-3.2.2-r1 [3.2.1] USE="-no-old-linux%" 165 kB
[ebuild     U ] sys-devel/bison-2.2 [2.1] USE="nls -static" 1,052 kB
[ebuild  N    ] app-admin/eselect-compiler-2.0.0_rc1-r6  USE="-hardened" 114 kB
[ebuild     U ] sys-devel/gcc-config-2.0.0_rc1 [1.3.13-r2] 0 kB
[ebuild  N    ] dev-libs/gmp-4.2  USE="-doc -nocxx" 1,686 kB
[ebuild     U ] sys-libs/timezone-data-2006g [2006a] 331 kB
[ebuild     U ] sys-libs/glibc-2.4-r3 [2.3.6-r3] USE="nls nptl -build -glibc-omitfp -hardened -nptlonly -profile" 16,410 kB
[ebuild  N    ] dev-libs/mpfr-2.2.0_p10  738 kB
[ebuild  NS   ] sys-devel/gcc-4.1.1  USE="fortran gtk nls -bootstrap -build -doc -gcj -hardened -ip28 -ip32r10k -mudflap -multislot -nocxx -objc -objc++ -objc-gc -vanilla" 38,301 kB
[ebuild     U ] sys-libs/libstdc++-v3-3.3.6 [3.3.4] USE="nls nptl -build" 23,410 kB
[ebuild  N    ] x11-drivers/ati-drivers-8.25.18  USE="opengl" 0 kB

Total size of downloads: 123,702 kB
turbonium ian #   


Code:

turbonium ian # emerge -s xorg-server
Searching...
[ Results for search key : xorg-server ]
[ Applications found : 1 ]

*  x11-base/xorg-server
      Latest version available: 1.1.0
      Latest version installed: [ Not Installed ]
      Size of files: 9,165 kB
      Homepage:      http://xorg.freedesktop.org/
      Description:   X.Org X servers
      License:       xorg-server MIT


turbonium ian #
Back to top
View user's profile Send private message
firesox
Tux's lil' helper
Tux's lil' helper


Joined: 24 Nov 2005
Posts: 132

PostPosted: Thu Jun 15, 2006 5:15 pm    Post subject: Reply with quote

Check this post https://forums.gentoo.org/viewtopic-t-458721.html.
Back to top
View user's profile Send private message
jeezus84
Apprentice
Apprentice


Joined: 02 Jan 2005
Posts: 161
Location: Canadia

PostPosted: Thu Jun 15, 2006 7:13 pm    Post subject: Reply with quote

i couldn't find what i was looking for. I'm trying to deviate from the Modular Xorg wiki as little as possible.

The wiki in question is here: http://gentoo-wiki.com/HOWTO_Modular_Xorg
Back to top
View user's profile Send private message
sternklang
Veteran
Veteran


Joined: 10 Sep 2005
Posts: 1641
Location: Somewhere in time and space

PostPosted: Thu Jun 15, 2006 8:23 pm    Post subject: Reply with quote

xorg-server 1.1.0 implements a new ABI that is not yet supported by ati and nvidia binary closed-source drivers. The thread firesox linked to explains the details.

So many people were running into problems with this, that the Gentoo devs have made this a blocker. This post and the discussion on the same page explains what packages you have to mask if you want to use the current ati/nvidia drivers.

Until ati and nvidia come out with compatible drivers, you have to keep xorg-server 1.1.0 and the keyboard/mouse/video drivers from the xorg 7.1 release masked. Then, when xorg-server is downgraded the block will be removed and you can emerge ati-drivers.
Back to top
View user's profile Send private message
Maedhros
Bodhisattva
Bodhisattva


Joined: 14 Apr 2004
Posts: 5511
Location: Durham, UK

PostPosted: Thu Jun 15, 2006 8:29 pm    Post subject: Reply with quote

Please follow up to xorg-server-1.0.99.x ABI breaks nvidia/ati binary drivers.

Moved from Portage & Programming to Duplicate Threads.
_________________
No-one's more important than the earthworm.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum